Subject: bug#76521: 31.0.50; TRAMP couldn't find `ls' on OpenBSD

From: Manuel Giraud <[email-masked]>
Date: Tue, 25 Feb 2025 14:04:49 +0100

Michael Albinus <[email-masked]> writes:

> Manuel Giraud <[email-masked]> writes:
>
> Hi Manuel,
>
>> FWIW the following seems to work as expected both bash and ksh:
>>
>> $ PATH=$PATH:/usr/bin:/bin:/usr/sbin:/sbin:/usr/X11R6/bin:/usr/local/bin:/usr/local/sbin command -pv readlink
>> /usr/bin/readlink
>
> Well, 'command -pv' has other problems, for example when the argument is
> an alias. I've tried to take this into account; pushed to master. Could
> you pls check?

Yes thanks, that works as usual for doas now.  But in the meantime, I
have found another bug that affect scp and ssh methods for me.  Do you
prefer that I open a new report for this issue with a debug log as well?

Best regards,
-- 
Manuel Giraud